This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

GSLB

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of GSLB service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0SUPPORTED20260531
1.1CURRENT-

OpenAPI URL

https://gslb.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CreateGslb

1.1.1 - 1.1

post /v1/gslbs

Description

The GSLB Create.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GslbCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "algorithm": "",
    "description": "",
    "env_usage": "",
    "health_check": {
        "health_check_interval": "",
        "health_check_probe_timeout": "",
        "health_check_user_id": "",
        "health_check_user_password": "",
        "protocol": "",
        "receive_string": "",
        "send_string": "",
        "service_port": "",
        "timeout": ""
    },
    "name": "",
    "resources": [
        {
            "description": "",
            "destination": "",
            "region": "",
            "weight": 0
        }
    ],
    "tags": []
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.1.2 - 1.0

post /v1/gslbs

Description

The GSLB Create.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GslbCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"

Request body

{
    "algorithm": "",
    "description": "",
    "env_usage": "",
    "health_check": {
        "health_check_interval": "",
        "health_check_probe_timeout": "",
        "health_check_user_id": "",
        "health_check_user_password": "",
        "protocol": "",
        "receive_string": "",
        "send_string": "",
        "service_port": "",
        "timeout": ""
    },
    "name": "",
    "resources": [
        {
            "description": "",
            "destination": "",
            "disabled": false,
            "region": "",
            "weight": 0
        }
    ],
    "tags": []
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.2 - DeleteGslb

1.2.1 - 1.1

delete /v1/gslbs/{gslb_id}

Description

The GSLB Delete.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.2.2 - 1.0

delete /v1/gslbs/{gslb_id}

Description

The GSLB Delete.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.3 - ListGslbResources

1.3.1 - 1.1

get /v1/gslbs/{gslb_id}/resources

Description

The GSLB Resource List.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbResourceListResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "gslb_resources": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination": "",
            "health_check_status": "CONNECTED",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "region": "",
            "status": "ENABLE",
            "weight": 0
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.3.2 - 1.0

get /v1/gslbs/{gslb_id}/resources

Description

The GSLB Resource List.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbResourceListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "gslb_resources": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination": "",
            "disabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "region": "",
            "weight": 0
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.4 - ListGslbs

1.4.1 - 1.1

get /v1/gslbs

Description

The GSLB List.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querystate
optional
The GSLB State.
Example :
any of [string, null]None
queryname
optional
The Name of the gslb.
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "gslbs": [
        {
            "algorithm": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "env_usage": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "linked_resource_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.4.2 - 1.0

get /v1/gslbs

Description

The GSLB List.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querystate
optional
The GSLB State.
Example :
any of [string, null]None
queryname
optional
The Name of the gslb.
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "gslbs": [
        {
            "algorithm": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "env_usage": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "linked_resource_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.5 - ListGslbsRegionalRoutingControl

1.5.1 - 1.1

get /v1/gslbs/routing-control

Description

The GSLB Regional Resource List.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryregion
optional
The GSLB Resource Region.
Example :
any of [string, null]None
querystatus
optional
The GSLB Resource Status.
Example :
any of [string, null]None
queryname
optional
The Name of the gslb.
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbRoutingControlListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/routing-control

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "regional_gslbs": [
        {
            "algorithm": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "env_usage": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "linked_regional_resource_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "region": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.6 - SetGslb

1.6.1 - 1.1

put /v1/gslbs/{gslb_id}

Description

The GSLB Set.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbSetRequest

Responses

HTTP CodeDescriptionSchema
200OKGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "algorithm": "",
    "description": ""
}

Example HTTP response

Response 200

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.6.2 - 1.0

put /v1/gslbs/{gslb_id}

Description

The GSLB Set.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbSetRequest

Responses

HTTP CodeDescriptionSchema
200OKGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"

Request body

{
    "algorithm": "",
    "description": ""
}

Example HTTP response

Response 200

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.7 - SetGslbHealthCheck

1.7.1 - 1.1

put /v1/gslbs/{gslb_id}/health-check

Description

Set GSLB Health Checks.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbHealthCheck

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/health-check

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "health_check_interval": "",
    "health_check_probe_timeout": "",
    "health_check_user_id": "",
    "health_check_user_password": "",
    "protocol": "",
    "receive_string": "",
    "send_string": "",
    "service_port": "",
    "timeout": ""
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.7.2 - 1.0

put /v1/gslbs/{gslb_id}/health-check

Description

Set GSLB Health Checks.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbHealthCheck

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/health-check

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"

Request body

{
    "health_check_interval": "",
    "health_check_probe_timeout": "",
    "health_check_user_id": "",
    "health_check_user_password": "",
    "protocol": "",
    "receive_string": "",
    "send_string": "",
    "service_port": "",
    "timeout": ""
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.8 - SetGslbRegionalRoutingControl

1.8.1 - 1.1

put /v1/gslbs/{gslb_id}/routing-control

Description

Set GSLB Regional Routing.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbRoutingControlRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbRoutingControlResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/routing-control

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "region": "",
    "status": ""
}

Example HTTP response

Response 202

{
    "regional_gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_regional_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "region": "",
        "status": ""
    }
}

1.9 - SetGslbResources

1.9.1 - 1.1

put /v1/gslbs/{gslb_id}/resources

Description

Set GSLB Resources.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbResourcesSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "resources": [
        {
            "description": "",
            "destination": "",
            "region": "",
            "weight": 0
        }
    ]
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.9.2 - 1.0

put /v1/gslbs/{gslb_id}/resources

Description

Set GSLB Resources.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbResourceSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"

Request body

{
    "resources": [
        {
            "description": "",
            "destination": "",
            "disabled": false,
            "region": "",
            "weight": 0
        }
    ]
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.10 - ShowGslb

1.10.1 - 1.1

get /v1/gslbs/{gslb_id}

Description

The GSLB Show.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.10.2 - 1.0

get /v1/gslbs/{gslb_id}

Description

The GSLB Show.

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"

Example HTTP response

Response 200

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

2 - Models

2.1 - GslbCreateRequest

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
description
optional
Description
Example :
any of [string, null]
env_usage
required
The GSLB Environment Usage.
Example :
string
health_check
optional
The GSLB Health Check.
any of [GslbHealthCheck, null]
name
required
The Name of the gslb.
Example :
string
resources
required

array[GslbResource]
tags
optional
Tag List
array[Tag]

2.2 - GslbCreateRequestV1Dot1

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
description
optional
Description
Example :
any of [string, null]
env_usage
required
The GSLB Environment Usage.
Example :
string
health_check
optional
The GSLB Health Check.
any of [GslbHealthCheck, null]
name
required
The Name of the gslb.
Example :
string
resources
required

array[GslbResourceV1Dot1]
tags
optional
Tag List
array[Tag]

2.3 - GslbDetail

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
Description
Example :
any of [string, null]
env_usage
required
The GSLB Environment Usage.
Example :
string
health_check
required

any of [GslbHeathCheckShowResponse, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
linked_resource_count
required
The GSLB Linked Resource Count.
Example :
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
The Name of the gslb.
Example :
string
state
required
The GSLB State.
Example :
string

2.4 - GslbHealthCheck

NameDescriptionSchemaDefault
health_check_interval
optional
The GSLB Health Check Interval.
Example :
any of [integer, null]
health_check_probe_timeout
optional
The GSLB Health Check Probe Timeout.
Example :
any of [integer, null]
health_check_user_id
optional
The GSLB Health Check User Name.
Example :
any of [string, null]
health_check_user_password
optional
The GSLB Health Check Password.
Example :
any of [string, null]
protocol
required
The GSLB Health Check Protocol.
Example :
string
receive_string
optional
The GSLB Health Check Receive String.
Example :
any of [string, null]
send_string
optional
The GSLB Health Check Send String.
Example :
any of [string, null]
service_port
optional
The GSLB Health Check Service Port.
Example :
any of [integer, null]
timeout
optional
The GSLB Health Check Timeout.
Example :
any of [integer, null]

2.5 - GslbHeathCheckShowResponse

NameDescriptionSchemaDefault
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
health_check_interval
optional
The GSLB Health Check Interval.
Example :
any of [integer, null]
health_check_probe_timeout
optional
The GSLB Health Check Probe Timeout.
Example :
any of [integer, null]
health_check_user_id
optional
The GSLB Health Check User Name.
Example :
any of [string, null]
health_check_user_password
optional
The GSLB Health Check Password.
Example :
any of [string, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
protocol
required
The GSLB Health Check Protocol.
Example :
string
receive_string
optional
The GSLB Health Check Receive String.
Example :
any of [string, null]
send_string
optional
The GSLB Health Check Send String.
Example :
any of [string, null]
service_port
optional
The GSLB Health Check Service Port.
Example :
any of [integer, null]
timeout
optional
The GSLB Health Check Timeout.
Example :
any of [integer, null]

2.6 - GslbListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
gslbs
required

array[GslbResponseCommon]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.7 - GslbResource

NameDescriptionSchemaDefault
description
optional
Description
Example :
any of [string, null]
destination
required
The GSLB Resource Destination.
Example :
string
disabled
optional
The GSLB Resource disabled.
Example : False
any of [boolean, null]
region
required
The GSLB Resource Region.
Example :
string
weight
optional
The GSLB Resource Weight.
Example : 0
any of [integer, null]

2.8 - GslbResourceListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
gslb_resources
required

array[GslbResourceResponse]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.9 - GslbResourceListResponseV1Dot1

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
gslb_resources
required

array[GslbResourceResponseV1Dot1]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.10 - GslbResourceResponse

NameDescriptionSchemaDefault
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
Description
Example :
any of [string, null]
destination
required
The GSLB Resource Destination.
Example :
string
disabled
optional
The GSLB Resource disabled.
Example : False
any of [boolean, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
region
required
The GSLB Resource Region.
Example :
string
weight
optional
The GSLB Resource Weight.
Example : 0
any of [integer, null]

2.11 - GslbResourceResponseV1Dot1

NameDescriptionSchemaDefault
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
Description
Example :
any of [string, null]
destination
required
The GSLB Resource Destination.
Example :
string
health_check_status
required
The GSLB Resource Health Check Status.
Example : CONNECTED
enum (CONNECTED, DISCONNECTED)
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
region
required
The GSLB Resource Region.
Example :
string
status
required
The GSLB Resource Status.
Example : ENABLE
enum (ENABLE, DISABLE)
weight
optional
The GSLB Resource Weight.
Example : 0
any of [integer, null]

2.12 - GslbResourceSetRequest

NameDescriptionSchemaDefault
resources
required

array[GslbResource]

2.13 - GslbResourceSetRequestV1Dot1

NameDescriptionSchemaDefault
description
optional
Description
Example :
any of [string, null]
destination
required
The GSLB Resource Destination.
Example :
string
region
required
The GSLB Resource Region.
Example :
string
weight
optional
The GSLB Resource Weight.
Example : 0
any of [integer, null]

2.14 - GslbResourcesSetRequest

NameDescriptionSchemaDefault
resources
required

array[GslbResourceSetRequestV1Dot1]

2.15 - GslbResourceV1Dot1

NameDescriptionSchemaDefault
description
optional
Description
Example :
any of [string, null]
destination
required
The GSLB Resource Destination.
Example :
string
region
required
The GSLB Resource Region.
Example :
string
weight
optional
The GSLB Resource Weight.
Example : 0
any of [integer, null]

2.16 - GslbResponseCommon

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
Description
Example :
any of [string, null]
env_usage
required
The GSLB Environment Usage.
Example :
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
linked_resource_count
required
The GSLB Linked Resource Count.
Example :
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
The Name of the gslb.
Example :
string
state
required
The GSLB State.
Example :
string

2.17 - GslbRoutingControlListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
regional_gslbs
required

array[GslbRoutingControlResponseCommon]
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.18 - GslbRoutingControlRequest

NameDescriptionSchemaDefault
region
required
The GSLB Resource Region.
Example :
string
status
required
The GSLB Resource Status.
Example :
string

2.19 - GslbRoutingControlResponse

NameDescriptionSchemaDefault
regional_gslb
required

GslbRoutingControlResponseCommon

2.20 - GslbRoutingControlResponseCommon

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
Description
Example :
any of [string, null]
env_usage
required
The GSLB Environment Usage.
Example :
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
linked_regional_resource_count
required
The GSLB Linked Resource Count Per Region.
Example :
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
The Name of the gslb.
Example :
string
region
required
The GSLB Resource Region.
Example :
string
status
required
The GSLB Resource Status.
Example :
string

2.21 - GslbSetRequest

NameDescriptionSchemaDefault
algorithm
optional
The GSLB Algorithm.
Example :
any of [string, null]
description
optional
Description
Example :
any of [string, null]

2.22 - GslbShowResponse

NameDescriptionSchemaDefault
gslb
required

GslbDetail

2.23 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string